complexType "ExtraordinaryEvents"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 13 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | mergerEvents?, tenderOffer?, tenderOfferEvents?, compositionOfCombinedConsideration?, indexAdjustmentEvents?, (additionalDisruptionEvents? | failureToDeliver?), representations?, nationalisationOrInsolvency?, delisting?, (relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*)?
</...>

Content Model Elements (13):

  additionalDisruptionEvents,
  compositionOfCombinedConsideration,
  delisting,
  failureToDeliver (defined in ExtraordinaryEvents complexType),
  indexAdjustmentEvents,
  mergerEvents,
  nationalisationOrInsolvency,
  optionsExchangeId,
  relatedExchangeId,
  representations,
  specifiedExchangeId,
  tenderOffer,
  tenderOfferEvents

All Direct / Indirect Based Elements (5):

  extraordinaryEvents (defined in EquityDerivativeLongFormBase complexType),
  extraordinaryEvents (defined in NettedSwapBase complexType),
  extraordinaryEvents (in equityOptionTransactionSupplement),
  extraordinaryEvents (in equitySwapTransactionSupplement),
  extraordinaryEvents (in returnSwap)

Known Usage Locations

- As direct type of elements (5):
  extraordinaryEvents (defined in EquityDerivativeLongFormBase complexType),
  extraordinaryEvents (defined in NettedSwapBase complexType),
  extraordinaryEvents (in equityOptionTransactionSupplement),
  extraordinaryEvents (in equitySwapTransactionSupplement),
  extraordinaryEvents (in returnSwap)

Annotation
Where the underlying is shares, defines market events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
XML Source (w/o annotations (12); see within schema source)

<xsd:complexType name="ExtraordinaryEvents"> <xsd:sequence> <xsd:element minOccurs="0" name="mergerEvents" type="EquityCorporateEvents"/> <xsd:element minOccurs="0" name="tenderOffer" type="xsd:boolean"/> <xsd:element minOccurs="0" name="tenderOfferEvents" type="EquityCorporateEvents"/> <xsd:element minOccurs="0" name="compositionOfCombinedConsideration" type="xsd:boolean"/> <xsd:element minOccurs="0" name="indexAdjustmentEvents" type="IndexAdjustmentEvents"/> <xsd:choice> <xsd:element minOccurs="0" name="additionalDisruptionEvents" type="AdditionalDisruptionEvents"/> <xsd:element minOccurs="0" name="failureToDeliver" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="representations" type="Representations"/> <xsd:element minOccurs="0" name="nationalisationOrInsolvency" type="NationalisationOrInsolvencyOrDelistingEventEnum"/> <xsd:element minOccurs="0" name="delisting" type="NationalisationOrInsolvencyOrDelistingEventEnum"/> <xsd:group minOccurs="0" ref="ExchangeIdentifier.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/13)
additionalDisruptionEvents

  Type: | AdditionalDisruptionEvents, complex content

  ISDA 2002 Equity Additional Disruption Events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalDisruptionEvents" type="AdditionalDisruptionEvents"/>

compositionOfCombinedConsideration

  Type: | xsd:boolean, predefined, simple content

  If present and true, then composition of combined consideration is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compositionOfCombinedConsideration" type="xsd:boolean"/>

delisting

  Type: | NationalisationOrInsolvencyOrDelistingEventEnum, simple content

  The term "Delisting" has the meaning defined in the ISDA 2002 Equity Derivatives Definitions.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "NegotiatedCloseout" | - | The parties may, but are not obliged, to terminate the transaction on mutually acceptable terms and if the terms are not agreed then the transaction continues. See: http://www.FpML.org
  "CancellationAndPayment" | - | The trade is terminated. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="delisting" type="NationalisationOrInsolvencyOrDelistingEventEnum"/>

failureToDeliver

  Type: | xsd:boolean, predefined, simple content

  If true, failure to deliver is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToDeliver" type="xsd:boolean"/>

indexAdjustmentEvents

  Type: | IndexAdjustmentEvents, complex content

  ISDA 2002 Equity Index Adjustment Events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexAdjustmentEvents" type="IndexAdjustmentEvents"/>

mergerEvents

  Type: | EquityCorporateEvents, complex content

  Occurs when the underlying ceases to exist following a merger between the Issuer and another company.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mergerEvents" type="EquityCorporateEvents"/>

nationalisationOrInsolvency

  Type: | NationalisationOrInsolvencyOrDelistingEventEnum, simple content

  The terms "Nationalisation" and "Insolvency" have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "NegotiatedCloseout" | - | The parties may, but are not obliged, to terminate the transaction on mutually acceptable terms and if the terms are not agreed then the transaction continues. See: http://www.FpML.org
  "CancellationAndPayment" | - | The trade is terminated. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nationalisationOrInsolvency" type="NationalisationOrInsolvencyOrDelistingEventEnum"/>

representations

  Type: | Representations, complex content

  ISDA 2002 Equity Derivative Representations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="representations" type="Representations"/>

tenderOffer

  Type: | xsd:boolean, predefined, simple content

  If present and true, then tender offer is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenderOffer" type="xsd:boolean"/>

tenderOfferEvents

  Type: | EquityCorporateEvents, complex content

  ISDA 2002 Equity Tender Offer Events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenderOfferEvents" type="EquityCorporateEvents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.